# A written proof for the four-colors map problem.

Basic ConceptsThe four-colors map problem states that color each and every figure with a color at any planar or spherical map in such a way that two adjacent figures are colored differently, then four colors are suffice.

We consider figures at spherical map as such figures which print at the rubber film, then so long as we cut a hole inside any figure, and the hole contacts not any borderline of the figure, afterwards exert tensions round the hole, so the rubber film expands gradually until unfold the whole spherical surface into a plane, thereupon the spherical map has been turned to a planar map. In addition, the edge of the hole was becomed to the verge of the planar map, but it isn't a borderline of any figure.

Plainly a borderline closed curve of the figure which has the hole surrounds inwardly all figures except the figure itself and figures which its other borderline closed curves surround inwardly respectively; yet the borderline closed curve surrounds outwardly the figure and those figures which the other borderline closed curves surround inwardly respectively, therefore we need merely to prove all figures at a planar map from any spherical map, to wit O.K.

Since a planar map from any spherical map contains all regional planar maps, hence we need merely to prove the whole planar map under any possible circumstances. Thereinafter we mentioned to each planar map, pointed to be exactly such a planar map, and mentioned to any figure, it exists at such a planar map.

In the case of any planar maps, its figures have sundry shapes and various adjacent relations. However every figure must have at least one borderline closed curve, and every figure must be a joint piece, yet can't separate it into at least two unconnected parts. In addition, any planar map must be filled from figures, yet can't have any empty spacing without figures.

AS everyone knows, so-called the plane of any planar map is pointed to the plane of Euclidean geometry. Every point is indivisible, and every line consists of points, and every line has only the length without the breadth according to the definitions of point and line at Euclidean plane.

Such being the case, then any two adjacent figures can't share some points, a borderline and a segment of borderline, so an uninterrupted border of two adjacent figures can only be two adjacent borderlines.

In case all figures of a planar map are uncolored, we call the planar map "an uncolored planar map". In case all figures of a planar map are colored, although each of some figures consists of at least two original figures, justly we call the planar map "a temporary colored planar map".

Let us consider the plane of any uncolored planar map as which consists of two kinds of longitudinal straight linear segments according to a strip of a kind alternating a strip of another, and each strip of a kind is composed of a black point * alternating a white point o, and each strip of another kind is composed of a red point [R] alternating a celeste point [c]. Every such colored point is indivisible as well, regardless of its size.

Likewise we may yet treat the plane as which consists of two kinds of transversal straight linear segments on each other's alternating, and every transversal straight linear segment of each kind consists of two kinds of colored points on each other's alternating.

Whether from the longitudinal direction or from the transversal direction to see, either kind of colored points of any straight line segment is not alike to either kind of colored points of its either adjacent straight line segment. Please, see first illustration:

First Illustration

We need specially to stress a point here, what is called points, each of them is able to be catched sight of, and be drawed, no matter it whether has the size, but it is still indivisible; of course each line which consists of such points is likewise able to be catched sight of, and be drawed, no matter it whether has the width, in this article. So-and-so magnify points and lines wantonly, it influences neither us to understanding the plane which consists of lines, and lines which consists of points, also influences nor us to prove the conjecture thoroughly. If somebody holds the query for such magnific points and lines, whether may treat the way of doing as a special purposeful pattern at the plane for the sake of the proof ?

A borderline closed curve of any figure at the plane consists of either three or four kinds of colored points. Concerning a borderline closed curve which consists of three kinds of colored points, not only it is four sides of a rectangle, but apices of its four right angles share a color.

Since the territory of any country or area is at a celestial body, so any planar map is from a spherical map, then there is such a borderline closed curve of a figure at any planar map, namely the borderline closed curve surrounds inwardly all figures except the figure itself and figures which its other borderline closed curves surround inwardly respectively.

If each and every figure has at least four adjacent figures at an uncolored planar map, no matter these figures whether are transformed, and there is at least a piece of figures which at most three figures surrounds inwardly, then we regard the borderline closed curve which the piece of figures adjoins outwardly as "a ring of encircling figures", and use sign "[dot encircle]" to denote it, also use sign "[??]" to denote at least two such rings.

Many figures have not [dot encircle], whereas each of some figures have some the wholes and parts of [??].

We grade all [??] at any uncolored planar map preliminarily according to the sequence of [??] at varying tiers from the outside to the inside at the uncolored planar map. But their ordinal numbers are transformable on the basis of topological transforming some figures.

First we enroll every borderline closed curve of the figure that has the hole as No1[??] or [dot encircle], and enroll [??] or [dot encircle] which every No1 [dot encircle] surrounds inwardly directly as No2 [??] or [dot encircle] ... Generally speaking, enroll [??] or [dot encircle] which every No1 [dot encircle] surrounds inwardly directly as Nok+1 [??] or [dot encircle], where k[greater than or equal to]1. That is to say, there are not any [dot encircle] between any Nok[dot encircle] and every No(k+1) [dot encircle] inside the Nok [dot encircle]. Evidently [??] of identical gradation are in juxtapositions, there are not the one another's surrounded relation amongs them. Moreover [??] of identical gradation may be inside one [dot encircle], too, may exist inside different [??] of identical gradation respectively. On the one hand, they may be borderline closed curves of a figure. On the other hand, each of them may yet be the union of borderlines of distinct figures.

After one [dot encircle] was transformed into a rectangular closed curve which consists of transversal and longitudinal straight linear segments, or one [dot encircle] is originally the very such a rectangular closed curve, then we use symbol "[]" to denote it, and use symbol "[??]" to denote at least two such rectangular closed curves.

Excepting No1 [??], we consider a rectangular borderline closed curve of any figure as four sides of a rectangle, and consider such a rectangular borderline closed curve plus the plane which it surrounds inwardly as a rectangle at any uncolored planar map hereinafter.

If either duad of opposite sides of a rectangle consist of two kinds of colored points altogether, then we term either transversal side "one [T.sub.A] side", or term either longitudinal side "one La side".

If a rectangle has two Ta sides and two La sides, then the rectangle is termed "one AA rectangle", and see third illustration (1).

Four apexes of four right angles of one AA rectangle share a color.

If either duad of opposite sides of a rectangle consist of four kinds of colored points, then we term either transversal side "one [T.sub.B] side", or term either longitudinal side "one [L.sub.B] side".

If a rectangle has two [T.sub.B] sides and two [L.sub.B] sides, then the rectangle is termed "one BB rectangle", and see third illustration (3).

Four apexes of four right angles of one BB rectangle have four colors.

We should substitute "X" for "T" or "L". If a rectangle has two [X.sub.A] sides and two [X.sub.B] sides, then the rectangle is termed "one AB rectangle", and see third illustration (2). Four apexes of four right angles of one AB rectangle have altogether two colors.

If a whole [X.sub.B] side adjoins only either the whole or a segment of a rectangular side, then the whole [X.sub.B] side is termed "a single adjoining [X.sub.B] side" or "one S side" for short.

If a whole [X.sub.B] side adjoins either wholes or segments of rectangular sides of at least two rectangles, then the whole [X.sub.B] side is termed "a more adjoining [X.sub.B] side" or "one M side" for short.

If a straight linear segment which contains at least one [X.sub.B] side and another straight linear segment adjoin wholly, and the two straight linear segments consist of whole rectangular sides respectively, then shortest two adjacent straight linear segments under the aforesaid prerequisite, we call one which contains at least one [X.sub.B] side "a linear segment", and call another "[beta] linear segment". Of course, one [beta] linear segment contains probably at least one [X.sub.B] side. One [beta] linear segment and one [alpha] linear segment are in pairs always, and each other are equal on length.

For example, CD is one [alpha] linear segment which contains M side k, and GH is one [beta] linear segment which CD adjoins wholly in below illustration.

Second Illustration

Concerning one BB rectangle:

If it has four S sides, then it is termed one [B.sub.2S][B.sub.2S] rectangle, and see third illustration (4).

If it has only one M side, then it is termed one [B.sub.2S][B.sub.1S] rectangle, and see third illustration (5).

If it has two opposite S sides and two opposite M sides, then it is termed one [B.sub.2S][B.sub.2M] rectangle, and see third illustration (6).

If it has two each other's perpendicular S sides and two each other's perpendicular M sides, then it is termed one [B.sub.1S][B.sub.1S] rectangle, and see third illustration (7).

If it has only one S side, then it is termed one [B.sub.1S][B.sub.2M] rectangle, and see third illustration (8).

If it has four M sides, then it is termed one [B.sub.2M][B.sub.2M] rectangle, and see third illustration (9).

Concerning one AB rectangle:

If it has two opposite S sides, then it is termed one [AB.sub.2S] rectangle, and see third illustration (10).

If it has only one S side, then it is termed one [AB.sub.1S] rectangle, and see third illustration (11).

If it has two opposite M sides, then it is termed a [AB.sub.2M] rectangle, and see third illustration (12).

Third Illustration

The Proof

First let us get rid of such planar or spherical maps, namely their every figure adjoins at most three figures. For such a planar or spherical map, we need merely to color orderly its each figure with a color unlike colors of figures round the figure, undoubtedly four colors are enough.

Excepting aforesaid planar or spherical maps, for others, first we need to transform their figures, next color figures. Some pieces of figures which adjoin at most three figures, even need transforming alternates coloring be more than once, later, just can determine finally colors of these figures. The particular procedure is as the follows.

First Step. If there are both figures whose each adjoins at least four figures and figures whose each adjoins at most three figures at any uncolored planar map, then merge orderly each figure which adjoins at most three figures into its an adjacent figure which adjoins at least four figures, and let the merging figure adjoins at least four figures. If a merging figure achieves not to adjoin at least four figures, then let it continue to merge its an adjacent figure, until there are not any figure which adjoins at most three figures at an uncolored planar map.

Second Step. Transform respectively each and every No1 [dot encircle] and figures which each No1[dot encircle] surrounds inwardly.

If one No1[dot encircle] adjoins only inwardly a borderline closed curve of a figure, namely one No1[dot encircle] surrounds directly inwardly only a figure, then merge the figure into the figure which has the hole, and label ? which belong directly the original two figures as No1[??]. Moreover every serial number of other ? from the outside to the inside minus 1.

After that, if exists still such contact of a border of two figures like aforementioned case, then contrast above-mentioned way of doing to dispose it. In addition, if there be No2[??] or [dot encircle] amongs figures which one No1[dot encircle] surrounds inwardly, then merge all figures which the No2[dot encircle] surrounds inwardly into a figure which contains either the whole or a segment of the No2[dot encircle]. So original that No2[dot encircle] is nonexistent, we regard the borderline closed curve which adjoins inwardly the borderline closed curve of the merging figure as one No2[dot encircle].

Third Step. Transform each and every No1[dot encircle] and every borderline closed curve including No2[??] of figures which each No1[dot encircle] surrounds inwardly into rectangular frames which have transversal and longitudinal sides merely via topological transformations, moreover we stipulate that a contact border of two adjacent figures must be two adjacent straight linear segments, not excepting No1[dot encircle] because it adjoins inwardly at least four figures still. Then each No1[dot encircle] is transformed into one No1[].

Overall, after topological transformations all rectangles which each No1[] surrounds inwardly have at most ten sorts, i.e. AA rectangles, [B.sub.2S][B.sub.2S] rectangles, [B.sub.2S][B.sub.1S] rectangles, [B.sub.2S][B.sub.2M] rectangles, B1sB1s rectangles, [B.sub.1S][B.sub.2M] rectangles, [B.sub.2M][B.sub.2M] rectangles, [AB.sub.2S] rectangles, [AB.sub.1S] rectangles and [AB.sub.2M] rectangles .

Fourth Step. Transform each and every No1[] into either frame of AA rectangle, and all such frames consist of three kinds of colored points altogether. Synchronously transform every rectangles' borderline closed curve which adjoins outwards fully respectively each No1[] into another frame of AA rectangle, then all such frames consist of three kinds of colored points unlike colored points of each No1[] altogether, and each sucu frame still adjoins outwardly fully one No1[] after the topological transformation.

Fifth Step. First transform orderly two longitudinal sides of each of rectangles on every file from the left to the right inside eacn No1[] into two [L.sub.A] sides as doing as possible, then need only either keep two [L.sub.A] sides of rectangle or move orderly one / two longitudinal sides of rectangle on from left to right each file to respective adjacent longitudinal straight linear segment. If there are longitudinal [alpha] and [beta] straight linear segments, then need move wholly both to respective adjacent straight linear segments.

After do them like this, for most-right file's rectangles, or all are La sides when a number of rectangles on each rank is an odd number, or all are [L.sub.B] sides when a number of rectangles on each rank is an even number, or all have both La sides when a number of rectangles on each of some ranks is an odd number, and [L.sub.B] sides when a number of rectangles on each of other ranks is an even numbers.

Next transform orderly two transversal sides of each of rectangles on every rank from the top to the bottom inside eacn No1[] into two [T.sub.A] sides as doing as possible, then need only either keep two [T.sub.A] sides of rectangle or move orderly one / two transversal sides of rectangle on from top to bottom each rank to respective adjacent transversal straight linear segment. If there are transversal [alpha] and [beta] straight linear segments, then need move wholly both to respective adjacent straight linear segment.

After do them like this, for bottommost rank's rectangles, or all are [T.sub.A] sides when a number of rectangles on each file is an odd number, or all are [T.sub.B] sides when a number of rectangles on each file is an even number, or all have both [T.sub.A] sides when a number of rectangles on each of some files is an odd number, and [T.sub.B] sides when a number of rectangles on each of other files is an even number.

Thereupon, excepting most-right file's rectangles and bottommost rank's rectangles, all are AA rectangles inside each No1 [].

Considering most-right file's rectangles inside each No1 []:

If each of them has two [L.sub.A] sides, then the file of rectangles except for bottommost one, all are AA rectangles.

If each of them has two [L.sub.B] sides, then the file of rectangles except for bottommost one, all are AB rectangles.

If there are both rectangles of [L.sub.A] sides and rectangles of [L.sub.B] sides, then there are both AA rectangles and AB rectangles except for bottommost one.

Considering bottommost rank's rectangles inside each No1[]:

If each of them has two [T.sub.A] sides, then the rank of rectangles except for most-right one, all are AA rectangles, either most-right one has two [L.sub.A] sides, then it is one AA rectangle too, or most-right one has two [L.sub.B] sides, then it is one AB rectangle.

If each of them has two [T.sub.B] sides, then the rank of rectangles except for most-right one, all are AB rectangles, either most-right one has two [L.sub.A] sides, then it is one AB rectangle, or most-right one has two [L.sub.B] sides, then it is one BB rectangle.

If there are both rectangles of [T.sub.A] sides and rectangles of [T.sub.B] sides, then there are both AA rectangles and AB rectangles, besides most-right one is one AA rectangle or one AB rectangle or one BB rectangle.

Sixth Step. We need first to judge every sort and kind of figures at such an uncolored planar map, what color they must be dyed respectively ? Next, just can color exactly each figure with a color.

Excepting all No1[??], first color each AA rectangle with a color like the color of apexes of four right angles of the AA rectangle, then two colors of two adjacent AA rectangles are not alike.

If there are AB rectangles inside one No1 [], then AB rectangles exist surely on the most-right file and/or on the bottommost rank. But also, if rectangles on the most-right file except for bottommost one and rectangles on the bottommost rank except for most-right one, all are AB rectangles, then there is surely one BB rectangle which adjoins two sides of the right-underneath angle of the No1[], according to the abovementioned way of doing.

So color each AB rectangle on most-right file with a color like a color of apexes of its left two right angles, and color each AB rectangle on bottommost rank with a color like a color of apexes of its above two right angles, and color the BB rectangle alone with a color like a color of the apexe of its left-above angle.

Now let us recover borderline closed curves of figures which contain wholes and/or parts of final determined irrespective of their shapes. We are known to each such figure adjoins at least four figures according to the above-mentioned way of doing.

If rectangles inside each No1[] of a figure, all are AA rectangles without any AB rectangle and any BB rectangle, and those No1[??] consist of three kinds of colored points altogether, then color the figure with a color like the color of apexes of four right angles of any such No1[].

If there are both AA rectangles and AB rectangles inside one No1[], then color orderly each and every figure which contains either the whole or the part of above side of the No1[] with one of two colors of points of the above side on the principle of which a figure with a color alternating an adjacent figure with another color.

And color orderly each and every figure which contains either the whole or the part of left side of the No1[] with one of two colors of points of the left side according to the aforementioned alternating way of doing. But a color of the most-above figure is not alike to a color of the most-left figure which contains either the most-left segment or the whole of above side of the No1 [].

In case there are AB rectangles on the most-right file inside one No1 [], then color orderly each and every figure which contains either the whole or the part of right side of the No1[] with one of two colors of points of a straight linear segment which adjoins the right side of the No1 [] according to the aforementioned alternating way of doing. But a color of the most-above figure is not alike to a color of the most-right figure which contains either the most-right segment or the whole of above side of the No1 [].

In case there are AB rectangles on the bottommost rank inside one No1 [], then color each and every figure which contains either the whole or the part of below side of the No1[] with one of two colors of points of a straight linear segment which adjoins the below side of the No1 [] according to the aforementioned alternating way of doing. But a color of the left end's figure is not alike to a color of most-below figure which contains either the most-below segment or the whole of left side of the No1 []. And a color of the right end's figure is not alike to a color of the most-below figure which contains either the most-below segment or the whole of right side of the No1 [].

If a figure has wholes and/or parts of at least two No1 [??], then start from each such No1[] respectively to determine a color of the figure, however determined respectively a color must be alike. If they are not alike, then a different color must exchange into a same color of an adjacent figure from each other. If can not exchange, need yet transform anew the different partial No1 [??] and figures which each of the different partial No1 [??] surrounds inwardly. Namely first transform each of them into one AA rectangular frame which is possessed of three kinds of colored points unlike original three kinds of colored points, and synchronously transform each borderline closed curve which adjoins outwardly fully such one No1 [], again transform figures which the No1 [] surrounds inwardly, and determine anew a color of each figure, so it is able to let each such figure which contains wholes and/or parts of at least two No1 [??] is colored selfsame a color, according to the aforementioned way of doing.

Altogether, we have achieved that color a figure with a color, and two colors of two adjacent figures are not alike via preceding way of doing.

Seventh Step. First recover each and every No2 [] and borderline closed curves of figures whose each adjoins at least four figures inside each No2 [], and eliminate a color which these figures are colored, furthermore recover original four kinds of colored points at the plane of these figures.

After that, transform these figures into rectangles and color each figure with a color according to the aforementioned way of doing.

Suppose there are altogether n grades of [??] at an uncolored planar map, where n [greater than or equal to] 1, then after transform orderly all Non [??] plus figures which each No1n surrounds inwardly and color each figure with a color according to preceding way of doing, each of figures at the temporary colored planar map adjoins at least four figures, and two colors which two adjacent figures are colored are not alike.

Eighth Step. So far, there are both original figures and merging figures at the temporary colored planar map. And each of original figures adjoins at least four figures, also there is only an original figure which adjoins at least four figures inside each merging figure.

Since it is so, then first recover borderline closed curves of all figures inside each merging figure, irrespective of their shapes, and let each figure which adjoins at least four figures continues to have a color which it itself is colored, whereas must eliminate colors of figures whose each adjoins at most three figures, and let their plane recovers anew to original four kinds of colored points. Then, every uncolored figure is such a figure which adjoins at most three figures, lastly color orderly each uncolored figure with a color unlike colors of figures which the uncolored figure adjoins.

Hitherto every figure at any planar map has been colored with a color. On the one hand, we use only at most four colors. On the other hand, none of two adjacent figures shares a color. Now transform every figure, let it back to its own original size and shape via topological transformations, yet its color is constant. Consequently the conjecture for any planar map has been proven as the true.

Let us remove forceing tensions round the hole, then the rubber film contracts into a spherical surface, and this planar map is transformed into original that spherical map, and each figure has a color unlike colors of figures which the figure adjoins. Consequently the conjecture for any spherical map has been proven as the true too.

Zhang Tianshu

Zhanjiang city, China

Email: tianshu_zhang507@yahoo.com.cn

Printer friendly Cite/link Email Feedback | |

Author: | Tianshu, Zhang |
---|---|

Publication: | Global Journal of Pure and Applied Mathematics |

Article Type: | Report |

Geographic Code: | 9CHIN |

Date: | Apr 1, 2013 |

Words: | 4383 |

Previous Article: | Exact soliton-like solutions for the (3+1) dimensions Kadomtsev-Petviashvilli and Jimbo-Miwa equations by the extended tan and tanh methods. |

Next Article: | Classification of operators with the property: Re[sigma](T) = [sigma](Re T). |

Topics: |